View Issue Details

IDProjectCategoryView StatusLast Update
0003204SymmetricDSBugpublic2017-08-14 10:43
ReportermaxwellpettitAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.28 
Target Version3.8.29Fixed in Version3.8.29 
Summary0003204: File Sync Fast Tracking doesn't initially populate sym_file_snapshot
DescriptionWhen you create a source node, set file.sync.fast.scan=true, and set up a file sync scenario and target node, the sym_file_snapshot table is empty.
Steps To Reproduce1.) Create source node
2.) Create target group, source to target group link and router, and target node
3.) Enable file.sync.fast.scan=true
4.) Create source directory for file sync with some files
5.) Set up file triggers and file routers

sym_file_snapshot will be empty, so performing a load results in 0 files tracked
TagsNo tags attached.

Activities

maxwellpettit

2017-07-21 09:16

developer   ~0001068

Using sym_context for the file sync fast scan tracker date

Related Changesets

SymmetricDS: 3.8 a2c01b01

2017-07-21 09:14:37

maxwellpettit

Details Diff
0003204: File Sync Fast Tracking doesn't initially populate
sym_file_snapshot

0003204
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ContextConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerFileModifiedListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2017-07-20 11:14 maxwellpettit New Issue
2017-07-20 11:14 maxwellpettit Status new => assigned
2017-07-20 11:14 maxwellpettit Assigned To => maxwellpettit
2017-07-21 09:16 maxwellpettit Note Added: 0001068
2017-07-21 09:16 maxwellpettit Status assigned => resolved
2017-07-21 09:16 maxwellpettit Fixed in Version => 3.8.29
2017-07-21 09:16 maxwellpettit Resolution open => fixed
2017-07-21 10:00 maxwellpettit Changeset attached => SymmetricDS 3.8 a2c01b01
2017-08-14 10:43 chenson Status resolved => closed